@import url("https://fonts.googleapis.com/css2?family=Gloria+Hallelujah&family=Roboto&display=swap");
/* VARIABLES */
/* darkest blue  */
/* lightest blue */
/* medium blue   */
/* dark red      */
/* light red     */
/* Basic styles for overarching body elements */
body {
  font-family: "Roboto", sans-serif;
  box-sizing: border-box;
  background: #4C8B9E;
  overflow-x: hidden;
}

/* grid set up in the body */
.wrapper {
  display: grid;
  min-width: 100%;
  max-width: 100%;
  gap: 0;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: auto 1fr auto;
  /* mobile first: all span every column */
  /* puts nav and header in same row */
}
.wrapper > * {
  grid-column: 1/span 12;
}
.wrapper > #nav-mobile {
  grid-column: 1/span 2;
  grid-row: 1;
}
.wrapper > header {
  grid-column: 1/span 12;
  grid-row: 1;
  padding-bottom: 10px;
  box-sizing: border-box;
}
.wrapper > #hero {
  grid-column: 1/span 12;
  padding: 5px;
}

/* grid layout for PC concerning nav/content */
@media only screen and (min-width: 600px) {
  #nav-main {
    grid-column: 1/span 2;
    grid-row: 3/span -1;
    z-index: 2;
  }
  header {
    padding-bottom: 10px;
  }
  .content {
    grid-column: 3/span 10;
    grid-row: 3;
  }
}
/* mobile navigation */
@media only screen and (max-width: 600px) {
  #nav-main {
    display: none;
  }
  #toggle {
    display: none;
  }
  #toggle:checked ~ .toggle-container .button-toggle {
    box-shadow: 0 0 0 550px rgba(0, 0, 0, 0.1), inset 0 0 0 20px rgba(0, 0, 0, 0.1);
  }
  #toggle:checked ~ .toggle-container .button-toggle:before {
    transform: translateY(-50%) rotate(45deg) scale(1);
  }
  #toggle:checked ~ .toggle-container .button-toggle:after {
    transform: translateY(-50%) rotate(-45deg) scale(1);
  }
  #toggle:checked ~ .nav {
    margin-bottom: 100px;
    pointer-events: auto;
    transform: translate(50px, 50px);
  }
  #toggle:checked ~ .nav .nav-item {
    color: #960F16;
    letter-spacing: 0;
    height: 40px;
    line-height: 40px;
    margin-top: 0;
    opacity: 1;
    transform: scaleY(1);
    transition: 0.5s, opacity 0.1s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(1) {
    transition-delay: 0.15s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(1):before {
    transition-delay: 0.15s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(2) {
    transition-delay: 0.1s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(2):before {
    transition-delay: 0.1s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(3) {
    transition-delay: 0.05s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(3):before {
    transition-delay: 0.05s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(4) {
    transition-delay: 0s;
  }
  #toggle:checked ~ .nav .nav-item:nth-child(4):before {
    transition-delay: 0s;
  }
  #toggle:checked ~ .nav .nav-item:before {
    opacity: 0;
  }
  #toggle:checked ~ .content {
    padding-top: 30px;
  }
  #toggle:checked ~ .content:before {
    background-color: rgba(0, 0, 0, 0.3);
  }
  /* Toggle Button */
  .button-toggle {
    position: absolute;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 25px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    border-radius: 100%;
    transition: 0.6s;
  }
  .button-toggle:hover {
    box-shadow: 0 0 0 8px rgba(0, 0, 0, 0.1), inset 0 0 0 20px rgba(0, 0, 0, 0.1);
  }
  .button-toggle:before, .button-toggle:after {
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #960F16;
    border-radius: 5px;
    transition: 0.5s;
  }
  .button-toggle:before {
    transform: translateY(-50%) rotate(45deg) scale(0);
  }
  .button-toggle:after {
    transform: translateY(50%) rotate(-45deg) scale(0);
  }
  /* Menu */
  .nav {
    display: inline-block;
    margin: 25px 25px 20px;
    pointer-events: none;
    transition: 0.5s;
  }
  .nav-item {
    position: relative;
    display: inline-block;
    float: left;
    clear: both;
    color: transparent;
    font-size: 14px;
    letter-spacing: -6.2px;
    height: 7px;
    line-height: 7px;
    text-transform: uppercase;
    white-space: nowrap;
    transform: scaleY(0.2);
    transition: 0.5s, opacity 1s;
  }
  .nav-item:nth-child(1) {
    transition-delay: 0s;
  }
  .nav-item:nth-child(1):before {
    transition-delay: 0s;
  }
  .nav-item:nth-child(2) {
    transition-delay: 0.05s;
  }
  .nav-item:nth-child(2):before {
    transition-delay: 0.05s;
  }
  .nav-item:nth-child(3) {
    transition-delay: 0.1s;
  }
  .nav-item:nth-child(3):before {
    transition-delay: 0.1s;
  }
  .nav-item:nth-child(4) {
    transition-delay: 0.15s;
  }
  .nav-item:nth-child(4):before {
    transition-delay: 0.15s;
  }
  .nav-item:nth-child(1) {
    letter-spacing: -8px;
  }
  .nav-item:nth-child(2) {
    letter-spacing: -7px;
  }
  .nav-item:nth-child(n+4) {
    letter-spacing: -8px;
    margin-top: -7px;
    opacity: 0;
  }
  .nav-item:before {
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #960F16;
    transform: translateY(-50%) scaleY(5);
    transition: 0.5s;
  }
}
/* pc navigation */
@media only screen and (min-width: 600px) {
  #nav-mobile {
    display: none;
  }
  #nav-main ul {
    list-style-type: none;
    margin: 0;
    background: #4C8B9E;
    font-family: "Gloria Hallelujah", cursive;
  }
  #nav-main ul li a {
    display: block;
    font-family: "Gloria Hallelujah", cursive;
    text-decoration: none;
    color: #f0f7f9;
    background-color: #3b6d7c;
    letter-spacing: 2px;
    font-variant: small-caps;
    font-size: 2rem;
    text-align: center;
    padding: 5px;
    transition: all 0.5s;
    position: relative;
    overflow: hidden;
    z-index: 1;
  }
  #nav-main ul li a:after, #nav-main ul li a:before {
    transition: all 0.5s;
  }
  #nav-main ul li a:hover {
    color: #960F16;
  }
  #nav-main ul li a:after {
    display: block;
    position: absolute;
    margin: 0;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    content: ".";
    color: transparent;
    width: 1px;
    height: 1px;
    border-radius: 50%;
    background: transparent;
    text-shadow: none;
  }
  #nav-main ul li a:hover:after {
    -webkit-animation: circle 2.5s ease-in-out forwards;
  }
}
/* hero styles shared amongst pages */
#hero {
    box-sizing: border-box;
  width: 100%;
  margin: 0 auto;
  background: #94C8D6;
  justify-self: center;
  align-self: center;
  text-align: center;
}

/* HOME PAGE ONLY */
/* top area for home page */
#hero.slideshow .slides {
  display: grid;
  width: 99%;
  padding: 10px 0 10px 0;
  grid-template-columns: repeat(11, 1fr);
  grid-template-rows: repeat(10, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}
#hero.slideshow .slides .img-sq img, #hero.slideshow .slides .img-portrait img {
  animation: 1.5s fadeIn;
  max-width: 50%;
  height: auto;
  justify-self: center;
  align-self: center;
  object-fit: contain;
}
#hero.slideshow .slides .img-landscape img {
  animation: 1.5s fadeIn;
  max-width: 75%;
}
#hero.slideshow .slides > .img-1 {
  grid-area: 3/4/8/9;
  z-index: 3;
}
#hero.slideshow .slides > .img-1 img {
  opacity: 0;
  animation: 1.5s fadeIn;
  animation-delay: 5s;
  animation-fill-mode: forwards;
}
#hero.slideshow .slides > .img-2 {
  grid-area: 2/5/9/10;
  z-index: 2;
}
#hero.slideshow .slides > .img-2 img {
  opacity: 0;
  animation: 1.5s fadeIn;
  animation-delay: 2.5s;
  animation-fill-mode: forwards;
}
#hero.slideshow .slides .img-3 {
  grid-area: 4/3/10/9;
  z-index: 1;
}
#hero.slideshow .slides .img-3 img {
  animation: 1.5s fadeIn;
}

/* ABOUT PAGE ONLY */
#hero.about {
  padding: 15px 0;
}
#hero.about .about-brief {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  gap: 25px;
}
#hero.about .about-brief div {
  filter: drop-shadow(5px 5px 10px black);
}
#hero.about .about-brief div img {
  border: 5px solid #4C8B9E;
  border-radius: 10px;
}
#hero.about .about-brief p {
  max-width: 300px;
}

/* GALLERY PAGE ONLY */
#slideshow-hero .hcg-slide-container {
  max-width: 500px;
  height: auto;
}

.hcg-slider {
  text-align: center;
  font-family: Arial, Helvetica, sans-serif;
}

.hcg-slide-container {
  max-width: 100%;
  display: inline-block;
  position: relative;
}

.hcg-slides {
  display: none;
  overflow: hidden;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  border: solid 1px #a0a0a0;
}

.hcg-slides img {
  max-width: 100%;
  max-height: 100%;
  display: inline-block;
}

.hcg-slide-dot-control {
  margin-top: 10px;
  text-align: center;
}

.hcg-slide-dot {
  cursor: pointer;
  height: 13px;
  width: 13px;
  margin: 0 2px;
  background-color: #888;
  border-radius: 50%;
  display: inline-block;
}

.hcg-slide-dot.dot-active {
  background-color: #353535;
}

.hcg-slide-number {
  color: #ffffff;
  font-size: 12px;
  padding: 4px 7px;
  position: absolute;
  border-radius: 5px;
  top: 5px;
  left: 5px;
  background-color: rgba(255, 255, 255, 0.3);
}

/************CSS Animation***********/
.animated {
  animation-name: zoomIn;
  animation-duration: 1s;
}

.zoomIn {
  animation-name: zoomIn;
}

@media only screen and (max-width: 600px) {
  .slides > .img-1 {
    grid-area: 3/3/8/8;
  }
  .slides > .img2 {
    grid-area: 2/4/9/9;
  }
  .slides > .img3 {
    grid-area: 4/2/10/8;
  }
}
/* header area styles (name/title) */
header {
  width: 100%;
  background: #94C8D6;
  text-align: right;
  padding-top: 5px;
  padding-right: 5px;
  font-family: "Gloria Hallelujah", cursive;
}
header h1 {
  font-size: 2rem;
  padding: 10px;
}
header h3 {
  padding-right: 10px;
}

/* content area styles */
.content {
  background-color: #4C8B9E;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 1;
}
.content h1 {
  color: #94C8D6;
  padding: 20px;
  text-align: center;
  text-shadow: 1px 1px 0 black, -1px 1px 0 black, -1px -1px 0 black, 1px -1px 0 black;
  font-size: 2rem;
  font-family: "Gloria Hallelujah", cursive;
}
.content h1 a {
  color: #94C8D6;
  padding: 10px;
  text-align: center;
  text-shadow: 1px 1px 0 black, -1px 1px 0 black, -1px -1px 0 black, 1px -1px 0 black;
  font-size: 1.25rem;
}
.content .about-extended div {
  min-height: 150px;
  padding: 10px;
  text-align: justify;
}
.content .about-extended div:nth-child(odd) img {
  float: left;
  padding-right: 5px;
}
.content .about-extended div:nth-child(even) img {
  float: right;
  padding-left: 5px;
}

#hero.contact h1 {
  color: black;
  padding: 20px;
  text-align: center;
  font-size: 2rem;
  font-family: "Gloria Hallelujah", cursive;
}
#hero.contact h1 a {
  color: #94C8D6;
  padding: 10px;
  text-align: center;
  font-size: 1.25rem;
}

/* masonry-style images layout */
.grid--wrapper {
  columns: 5 200px;
  column-gap: 2rem;
  width: 90%;
  margin: 0 auto;
  box-sizing: border-box;
}
.grid--wrapper div {
  /*width: 150px;*/
  margin: 0 1.5rem 1.5rem 0;
  display: inline-block;
  width: 99%;
  border: solid 2px #960F16;
  background-color: #D64D55;
  color: #94C8D6;
  padding: 5px;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5);
  border-radius: 5px;
  transition: filter 0.25s ease-in-out, color 0.25s ease-in-out;
  filter: grayscale(100%);
}
.grid--wrapper div a, .grid--wrapper div a:link, .grid--wrapper div a:hover, .grid--wrapper div a:active, .grid--wrapper div a:visited {
  color: inherit;
}
.grid--wrapper div:hover img {
  filter: grayscale(0);
}
.grid--wrapper div:hover {
  border-color: #960F16;
  filter: grayscale(0);
  color: black;
}
.grid--wrapper div img {
  width: 100%;
  filter: grayscale(100%);
  border-radius: 5px;
  transition: filter 0.25s ease-in-out;
}
.grid--wrapper div p {
  margin: 5px 0;
  padding: 0;
  text-align: center;
  font-style: italic;
}

@media only screen and (max-width: 600px) {
  .wrap {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    width: 100%;
  }
  .columns {
    grid-column: 1/span 4;
  }
}
@media only screen and (min-width: 601px) {
  .wrap {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(5, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    width: 100%;
  }
  .columns:first-child {
    grid-area: 1/1/6/3;
  }
  .columns:last-child {
    grid-area: 1/3/6/5;
  }
}
.wrap > .columns {
  margin: 0 auto;
}

.contact-form {
  max-width: 400px;
  margin: 0 auto;
  margin-bottom: 10px;
  background: #94C8D6;
  border: 2px solid #233f48;
  box-shadow: 0 0 5px #444;
  border-radius: 5px;
  padding: 20px;
  font-family: "Roboto", sans-serif, sans-serif;
}

.contact-form h1 {
  display: block;
  text-align: center;
  padding: 0;
  margin: 0px 0px 20px 0px;
  color: black;
  font-size: x-large;
}

.contact-form ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.contact-form li {
  display: block;
  padding: 9px;
  border: 1px solid #233f48;
  margin-bottom: 30px;
  border-radius: 3px;
}

.contact-form li:nth-child(4) {
  margin-bottom: 20px;
}

.contact-form li:last-child {
  border: none;
  margin-bottom: 0px;
  text-align: center;
}

.contact-form li > label {
  display: block;
  float: left;
  margin-top: -19px;
  background: #94C8D6;
  height: 14px;
  padding: 2px 5px 2px 5px;
  color: black;
  font-size: 14px;
  overflow: hidden;
  font-family: Arial, Helvetica, sans-serif;
}

.contact-form input[type=text],
.contact-form input[type=date],
.contact-form input[type=datetime],
.contact-form input[type=email],
.contact-form input[type=number],
.contact-form input[type=search],
.contact-form input[type=time],
.contact-form input[type=url],
.contact-form input[type=password],
.contact-form textarea,
.contact-form select {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  width: 100%;
  display: block;
  outline: none;
  border: none;
  background: none;
  color: black;
  height: 25px;
  line-height: 25px;
  font-size: 16px;
  padding: 0;
  font-family: "Roboto", sans-serif, sans-serif;
}

.contact-form li > span {
  background: #6fb5c8;
  display: block;
  padding: 3px;
  margin: 0 -9px -9px -9px;
  text-align: center;
  color: #444;
  font-family: "Roboto", sans-serif, sans-serif;
  font-size: 11px;
}

.contact-form textarea {
  resize: none;
}

.contact-form input[type=submit],
.contact-form input[type=button] {
  background: #D64D55;
  border: none;
  padding: 10px 20px 10px 20px;
  border-bottom: 3px solid #960F16;
  border-radius: 3px;
  color: black;
  transition: 0.25s ease-in-out;
}

.contact-form input[type=submit]:hover,
.contact-form input[type=button]:hover {
  background: #960F16;
  color: white;
}

/* footer styles */
footer {
  background: #94C8D6;
  text-align: center;
  padding: 5px;
}
footer a {
  color: black;
}
footer h3 {
  font-size: 1.25rem;
  padding-bottom: 5px;
}

/* animations */
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes circle {
  0% {
    width: 1px;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    height: 1px;
    z-index: -1;
    background: #eee;
    border-radius: 100%;
  }
  100% {
    background: #aaa;
    height: 5000%;
    width: 5000%;
    z-index: -1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    border-radius: 0;
  }
}
@keyframes zoomIn {
  0% {
    opacity: 0;
    transform: scale3d(0.3, 0.3, 0.3);
  }
  50% {
    opacity: 1;
  }
}
